curl --location --request PUT 'https://test.your-api-server.com/api/parameterPlc/507f1f77bcf86cd799439011' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "PLC_Linea_Produccion_1",
"ipAddress": "192.168.1.100",
"slot": 0,
"cycle": 500,
"tags": [
{
"name": "Temperature",
"alias": "temp_line_1",
"type": "REAL",
"program": "MainProgram"
},
{
"name": "Pressure",
"alias": "pressure_line_1",
"type": "REAL",
"program": "MainProgram"
},
{
"name": "ProductionCount",
"alias": "prod_count_line_1",
"type": "DINT",
"program": "MainProgram"
}
]
}'{
"msg": "Parametro actualizado por Id",
"updatedParameterPlc": {
"_id": "507f1f77bcf86cd799439011",
"_idParameterPlc": 1,
"name": "PLC_Produccion_1",
"ipAddress": "192.168.1.100",
"slot": 0,
"cycle": 1000,
"tags": [
{
"name": "Temperature",
"alias": "temp_line_1",
"type": "BOOL",
"program": "MainProgram"
}
],
"deleted": false,
"createdAt": "2019-08-24T14:15:22.123Z",
"updatedAt": "2019-08-24T14:15:22.123Z"
}
}